/*	Gravity.h
**
**	Copyright 1995, mFactory, Inc.
**	All rights reserved.
*/

#pragma once

#ifndef _GravitySrv_
	#define _GravitySrv_
	
	typedef struct GravitySrvComp GravitySrvComp;

	#ifndef MSelf
		#define MComponentName Gravity
		#define MSelf GravitySrvComp
		#include "MFusion.h"
	#endif

	typedef struct VectorStruct {
		double			f_x;
		double			f_y;
	} VectorStruct;

	typedef struct GravitySrvComp {
		MEvent			f_enableEvent;
		MEvent			f_disableEvent;
		MDouble			f_constant;

		VectorStruct	f_table[20][20];
	} GravitySrvComp;

	const short kGravitySrvRev = 0;

	enum {
		kGravitySrvTask, kLastGravitySrvProc
	};

	const kGravitySrvSlot = kMBaseCompSlot + 1;

	#ifdef __cplusplus
		extern "C" {
	#endif

		MErr GravitySrvTask(GravitySrvComp *self, MTInfo *tinfo);

	#ifdef __cplusplus
		}
	#endif

#endif
