/*	Interfac.h
**
**	Copyright 1995, mFactory, Inc.
**	All rights reserved.
*/

#pragma once

#ifndef _Interfac_
	#define _Interfac_

	typedef struct InterfacComp InterfacComp;

	#ifndef MSelf
		#define MComponentName Interface
		#define MSelf InterfacComp
		#include "MFusion.h"
	#endif

	typedef struct InterfacComp {
		MEvent		f_activate;				// System Pop-ups
		MSymbol		f_sound;
		MIDPath		f_scene;
		long		f_sceneIDs[3];

		MSymbol		f_static;				// User Pop-ups
		MSymbol		f_dynamic;
		MSymbol		f_submenu;

		MInteger	f_yesNoMaybe;			// Radio Buttons

		MBoolean	f_show;					// Checkboxes
		MBoolean	f_play;
		MBoolean	f_backward;

		MInteger	f_integer;				// Text Fields
		MDouble		f_double;
		MTime		f_time;
		MString		f_string;

		MString		f_block;				// Text Block
	} InterfacComp;

	const short	kInterfacRev = 0;

	enum {
		kInterfacNumProcs
	};

	const kInterfacSlot = kMBaseCompSlot + 1;

#endif
